Bug 867534 - Corrupted textures in OpenGL applications on Radeon HD 6550 D
Corrupted textures in OpenGL applications on Radeon HD 6550 D
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 12:33 EDT by Joonas Sarajärvi
Modified: 2014-02-05 07:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:37:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of neverball with some corrupted textures (569.75 KB, image/png)
2012-10-17 12:33 EDT, Joonas Sarajärvi
no flags Details
Output of glxinfo, from the system where I have this issue (25.34 KB, application/octet-stream)
2013-01-06 17:54 EST, Joonas Sarajärvi
no flags Details
X.org log (38.03 KB, text/x-log)
2013-01-06 17:54 EST, Joonas Sarajärvi
no flags Details
dmesg output (80.07 KB, application/octet-stream)
2013-01-06 17:55 EST, Joonas Sarajärvi
no flags Details
Texture artifacts in gnome-shell F20 (115.51 KB, image/jpeg)
2014-01-12 17:05 EST, Fernando
no flags Details
Output of dmesg (86.36 KB, text/plain)
2014-01-12 17:06 EST, Fernando
no flags Details
Xorg.0.log - X log when texture artifacts happen (66.37 KB, text/x-log)
2014-01-12 17:07 EST, Fernando
no flags Details
Xorg.0.log.EXA - X log when AccelMethod set to "EXA" instead of "glamor" (60.73 KB, text/plain)
2014-01-12 17:08 EST, Fernando
no flags Details

  None (edit)
Description Joonas Sarajärvi 2012-10-17 12:33:01 EDT
Created attachment 628943 [details]
Screenshot of neverball with some corrupted textures

Description of problem:
When running OpenGL applications, texture corruption seems to occur fairly
often with this GPU I have.

So far, this has occurred at least in Gnome-shell and Neverball.
These issues did not appear in Fedora 17 whose kernel version number
is very nearly the same as what is currently in Fedora 18 pre-beta.

The issue could be reproduced in Neverball running in XFCE, so it does not look like it'd need a compositing window manager to appear. However, inside
gnome-shell the issue becomes more troubling because the texture corruptions
affect usage of all running applications whose graphics get rendered to a
texture before being shown to the user.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.0.0-0.7.20121015gitbd9e2c064.fc18.x86_64

Steps to Reproduce:
1. Start some reasonably complex OpenGL application like neverball.
2. Play around a bit.

Actual results:
Application renders as intended by the developers.

Expected results:
Some textures are messed up. See the attached screenshot.
Comment 1 Joonas Sarajärvi 2013-01-06 17:54:06 EST
Created attachment 673559 [details]
Output of glxinfo, from the system where I have this issue
Comment 2 Joonas Sarajärvi 2013-01-06 17:54:41 EST
Created attachment 673560 [details]
X.org log
Comment 3 Joonas Sarajärvi 2013-01-06 17:55:20 EST
Created attachment 673561 [details]
dmesg output
Comment 4 Joonas Sarajärvi 2013-01-06 18:01:25 EST
This issue has not changed at all for me since I first reported it.

I attached some information about the system where I have the problem. Please note if there is some other information I could provide that would help getting this issue fixed. As things are now, most OpenGL applications are not usable on this GPU, while they did work fine in Fedora 17.
Comment 5 Fedora End Of Life 2013-12-21 04:08:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Joonas Sarajärvi 2013-12-21 08:38:22 EST
I have no idea if this issue still exists in F18, but it never happened for me in Fedora releases other than 18. Now that F18 is getting end-of-lifed, I am fine with this bug getting the automatic CLOSED WONTFIX status.
Comment 7 Fernando 2014-01-12 17:03:50 EST
Maybe we shouldn't close this. It happens to me in a fresh F20 with a Radeon HD 7950.

The attached image shows what gnome-shell looks like in my computer: everything is rendered correctly except for the contents of the application window.

When this happens, the output of dmesg can be found in attached file "dmesg.txt" while the contents of the X log are in "Xorg.0.log"

One thing I tried to fix this was to create a file named "/etc/X11/xorg.conf.d/20-radeon,conf" with the following three lines:

  Section "Device"
    Option "AccelMethod"  "EXA"
  EndSection

With this change, gnome-shell renders OK, but 3D is disabled. I have attached the X log when this happens in file "Xorg.0.log.EXA"

Any idea of what coud be going on?
Comment 8 Fernando 2014-01-12 17:05:24 EST
Created attachment 849023 [details]
Texture artifacts in gnome-shell F20
Comment 9 Fernando 2014-01-12 17:06:17 EST
Created attachment 849024 [details]
Output of dmesg
Comment 10 Fernando 2014-01-12 17:07:15 EST
Created attachment 849025 [details]
Xorg.0.log - X log when texture artifacts happen
Comment 11 Fernando 2014-01-12 17:08:47 EST
Created attachment 849026 [details]
Xorg.0.log.EXA - X log when AccelMethod set to "EXA" instead of "glamor"

In this case, gnome-shell works, but 3D is disabled.
Comment 12 Fernando 2014-01-12 17:36:06 EST
I forgot to mention that I have TWO Radeon HD 7950.

I didn't think that could affect until I found this other Ubuntu issue reported: http://ubuntuforums.org/archive/index.php/t-2180826.html

Tomorrow I'll try (as that other report suggests) to physically remove the second card and check if the problem persists.
Comment 13 Fernando 2014-01-13 19:01:51 EST
Confirmed: does not happen if I manually unplug the second ATI card from the PCI slot before turning on the computer.

Should this be re-opened as a different bug?
Comment 14 Fedora End Of Life 2014-02-05 07:37:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.